Skip to main content
PATCH
/
api
/
core
/
service-accounts
/
{service_account_id}
Update a service account
curl --request PATCH \
  --url https://api.example.com/api/core/service-accounts/{service_account_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "display_name": "<string>",
  "permissions": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "display_name": "<string>",
  "permissions": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z",
  "qr_disabled": false,
  "qr_feature_linked": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.genow.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

service_account_id
string
required

Body

application/json
display_name
string | null
Minimum string length: 1
permissions
string[] | null
expires_at
string<date-time> | null

Response

Successful Response

id
string
required
display_name
string
required
permissions
string[]
required
expires_at
string<date-time> | null
qr_disabled
boolean
default:false
qr_feature_linked
boolean
default:false